/* Спойлеры */
.spoiler {
    background: #f5f5f5;
    border-radius: 8px;
    margin: 15px 0;
    margin-top: 0px;
    overflow: hidden; 
}

.spoiler-header {
    padding: 15px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: var(--header-bg, #6200ee);
    color: var(--text-color, white);
    transition: all 0.3s ease;

}

.spoiler.active .spoiler-header {
    background-image: var(--noise-texture);
    background-blend-mode: overlay;
    animation: glitch-effect 0.3s linear infinite alternate;
}



.spoiler-header:hover {
    background: #6d17f8;
    background-image: var(--noise-texture);
    background-blend-mode: overlay;
    
}


.spoiler-content {
    max-height: 0;
    opacity: 0;
    overflow: hidden;
    padding: 0 15px;
    transition: 
        max-height 0.3s ease, 
        opacity 0.3s ease,
        padding 0.3s ease;
}


.spoiler.active .spoiler-content {
    max-height: 2400px;
    opacity: 1;
    padding: 15px;
    
}

.spoiler-header::after {
    content: "▶";
    transition: all 0.3s ease;
    font-size: 0.8em;
}

.spoiler.active .spoiler-header::after {
    content: "▶ ";
    transform: rotate(90deg);
}

.spoiler p {
    margin: 10px;
}

.spoiler li {
    margin: 5px;
}

/* dich */
.spoiler[style*="--header-bg: #000000"] .spoiler-content li {
  margin-bottom: 10px;
  padding-left: 25px;
}

.spoiler[style*="--header-bg: #000000"] .spoiler-content li::before {
  content: "►";
  color: #74008b;
  padding-left: 0px;
}
